=== debian/changelog ===
mawk (1.3.3-13) unstable; urgency=low

  * New maintainer; closes: #496711.
  * Drop versioned gcc build-dependency, which has been satisfied since
    before oldstable.
  * debian/rules: fix up clean target to use a simpler, standard distclean
    call, fixing a lintian warning.
  * debian/rules: future-proof the clean target for patch interaction
    with the build system, moving all the cleaning into a
    "clean-patched" target that fires before the unpatch target

 -- Steve Langasek <vorlon@debian.org>  Wed, 27 Aug 2008 10:03:33 -0700

mawk (1.3.3-12) unstable; urgency=low

  * New maintainer; closes: 496711
  * Fix the following lintian issues:
    W: ancient-standards-version 3.5.10.0 (current is 3.8.0)
    W: mawk: unknown-section base
    W: mawk: old-fsf-address-in-copyright-file

 -- Anibal Monsalve Salazar <anibal@debian.org>  Wed, 27 Aug 2008 17:41:50 +1000

mawk (1.3.3-11.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/postinst: fix bashism.  Closes: #308134

 -- Peter Eisentraut <petere@debian.org>  Sat, 05 Apr 2008 17:11:11 +0200

mawk (1.3.3-11) unstable; urgency=low

  * 08_fix-for-gcc3.3.dpatch: grossly hack configure to work around
    gcc-3.3 providing a builtin log() function which broke the configure
    tests.  Thanks to Daniel Schepler <schepler@math.berkeley.edu> for the
    report.  Closes: #195371

  * debian/control: add build-depends on gcc (>= 3:3.3-1) for hppa.
  * debian/rules: remove de-optimization hack for hppa.  Thanks to LaMont
    Jones <lamont@smallone.fc.hp.com> and Matthias Klose
    <doko@cs.tu-berlin.de>.  Closes: #105816

  * debian/control (Standards-Version): bump to 3.5.10.0.

 -- James Troup <james@nocrew.org>  Fri, 30 May 2003 15:24:50 +0100

mawk (1.3.3-10) unstable; urgency=low

  * Move to dpatch; existing non-debian/ changes split into
    01_error-on-full-fs, 02_fix-examples, 03_read-and-close-redefinition,
    04_mawk.1-fix-pi and 05_-Wall-fixes.
  * debian/rules: include /usr/share/dpatch/dpatch.make.
  * debian/rules (build): depend on patch-stamp.
  * debian/rules (clean): depend on unpatch.  Remove debian/patched.
  * debian/control (Build-Depends): add dpatch.

  * debian/rules: update copyright and use install_foo convenience
    variables.
  * debian/copyright: update copyright.

  * debian/control (Standards-Version): bump to 3.5.9.0.
  * debian/postinst, debian/prerm: no longer do /usr/doc symlinks.

  * debian/prerm: use set -e rather than #!/bin/sh -e.

  * 06_parse.y-semicolons.dpatch: new patch to fix missing semi-colons
    that upset recent versions of bison.  Thanks to Paul Eggert
    <eggert@twinsun.com>.  Closes: #170973
  * debian/control (Build-Depends): add bison.
  * debian/rules (clean): remove parse.c and parse.h so they're not
    included in the .diff.gz.

  * 07_mawktest-check-devfull: new patch to conditionalize the write error
    tests on the existence of /dev/full since apparently some systems
    don't have it.  Requested by Marcus.Brinkmann@ruhr-uni-bochum.de.
    Closes: #51875

  * debian/postinst: demote mawk to priority 5 so that gawk will be
    selected by default.  [mawk isn't being actively maintained upstream
    and has both long-standing bugs and isn't feature-complete WRT POSIX
    at least.]

 -- James Troup <james@nocrew.org>  Thu, 10 Apr 2003 02:22:27 +0100

mawk (1.3.3-9) unstable; urgency=low

  * debian/control: capitalize POSIX, thanks to Matt Zimmerman
    <mdz@debian.org>.  Closes: #125120
  * debian/changelog: remove obsolete local variables.
  * man/mawk.1: add a macro provided by Colin Watson <cjwatson@debian.org>
    to force PI to be displayed as "pi" (rather than 'n') when processed
    by nroff.  Closes: #103699
  * debian/control (Standards-Version): update to 3.5.6.1.

 -- James Troup <james@nocrew.org>  Fri,  9 Aug 2002 15:04:23 +0100

mawk (1.3.3-8) unstable; urgency=low

  * debian/rules (build): compile with -O1 on hppa to work around probable
    compiler bug.  Thanks to LaMont Jones <lamont@ia.mmjgroup.com>.

 -- James Troup <james@nocrew.org>  Wed, 18 Jul 2001 20:40:37 +0100

mawk (1.3.3-7) unstable; urgency=low

  * mawk.h: remove bogus redefinition of read() and close() and #include
    <unistd.h> instead, thanks to LaMont Jones <lamont@ia.mmjgroup.com>.
    Closes: #104124

 -- James Troup <james@nocrew.org>  Tue, 10 Jul 2001 03:09:24 +0100

mawk (1.3.3-6) unstable; urgency=low

  * debian/control (Maintainer): fixed to be me.
  * debian/changelog: remove add-log-mailing-address.
  * debian/rules: rewritten.
  * debian/control (Standards-Version): bump to 3.5.5.0.
  * Half hearted attempt at -Wall cleaning of the code.

 -- James Troup <james@nocrew.org>  Mon, 25 Jun 2001 05:33:51 +0100

mawk (1.3.3-5) unstable; urgency=low

  * debian/postinst: manpages are in /usr/share/man now; forgot to update
    the arguments to update-alternatives.  Thanks to Malcolm Parsons
    <malcolm@ivywell.screaming.net> for noticing.  [#54440]

 -- James Troup <awkmaint@nocrew.org>  Sun,  9 Jan 2000 16:54:14 +0000

mawk (1.3.3-4) unstable; urgency=low

  * debian/rules (build): make configure and the test scripts executables
    to make builds work under aegis.
  * debian/copyright: remove references to Linux.  Update location of the
    GPL.  We are mawk, not hello.
  * debian/rules (binary-arch): move to FHS; install documentation into
    /usr/share/doc/ and manpages into /usr/share/man/.
  * debian/postinst: add /usr/doc/ symlink.
  * debian/prerm: remove /usr/doc/ symlink.
  * debian/control (Standards-Version): update to 3.1.1.1.
  * debian/rules (binary-arch): pass -isp to dpkg-gencontrol.

 -- James Troup <awkmaint@nocrew.org>  Fri, 31 Dec 1999 13:53:42 +0000

mawk (1.3.3-3) unstable; urgency=low

  * debian/rules (binary-arch): add chmod -R go=rX to correct permissions
    on directories.
  * debian/control (Standards-Version): update [FSVO] to 2.5.0.0.

  * The following entries are a patch from Torsten Landschoff

