=== debian/control ===
Source: mawk
Section: utils
Priority: required
Maintainer: Steve Langasek <vorlon@debian.org>
Build-Depends: dpatch, bison
Standards-Version: 3.8.0

Package: mawk
Architecture: any
Provides: awk
Pre-Depends: ${shlibs:Depends}
Description: a pattern scanning and text processing language
 Mawk is an interpreter for the AWK Programming Language. The AWK
 language is useful for manipulation of data files, text retrieval and
 processing, and for prototyping and experimenting with algorithms. Mawk
 is a new awk meaning it implements the AWK language as defined in Aho,
 Kernighan and Weinberger, The AWK Programming Language, Addison-Wesley
 Publishing, 1988. (Hereafter referred to as the AWK book.) Mawk conforms
 to the POSIX 1003.2 (draft 11.3) definition of the AWK language
 which contains a few features not described in the AWK book, and mawk
 provides a small number of extensions.
 .
 Mawk is smaller and much faster than gawk. It has some compile-time
 limits such as NF = 32767 and sprintf buffer = 1020.
